Issue an initial short-lived environment credential after device proof
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({protocolVersion: 1, proofChallenge: '<string>', signature: '<string>'})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({protocolVersion: 1, proofChallenge: '<string>', signature: '<string>'})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/agent-environments/{environmentId}/credentials \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"protocolVersion": 1,
"proofChallenge": "<string>",
"signature": "<string>"
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Agent environments
Issue an initial short-lived environment credential after device proof
POST
/
api
/
v1
/
agent-environments
/
{environmentId}
/
credentials
Issue an initial short-lived environment credential after device proof
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({protocolVersion: 1, proofChallenge: '<string>', signature: '<string>'})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({protocolVersion: 1, proofChallenge: '<string>', signature: '<string>'})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/agent-environments/{environmentId}/credentials \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"protocolVersion": 1,
"proofChallenge": "<string>",
"signature": "<string>"
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Path Parameters
Body
application/json
Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.